com.microfocus.awm.control.toolexecution.internal

## Class ModeledFileOutputParameter

- java.lang.Object
- - com.microfocus.awm.control.toolexecution.internal.ModeledToolOutputParameter
  - - com.microfocus.awm.control.toolexecution.internal.ModeledFileOutputParameter

- All Implemented Interfaces:
    IDynamicObject, IFileParameter, IModeledFileOutputParameter, IModeledToolOutputParameter, IToolParameter

      public class ModeledFileOutputParameter
      extends ModeledToolOutputParameter
      implements IModeledFileOutputParameter

  Standard implementation of `IModeledFileOutputParameter`.
  Author:
    Micro Focus

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModeledFileOutputParameter(RToolOutParameter pModeledOutParm)` Basic constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FileDescriptor` | `getTargetID()`

    - ### Methods inherited from class com.microfocus.awm.control.toolexecution.internal.ModeledToolOutputParameter

      `getModelObject, isMassProcessingParameter`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.microfocus.awm.model.toolexecution.IModeledToolOutputParameter

      `getModelObject`

    - ### Methods inherited from interface com.microfocus.awm.model.toolexecution.IToolParameter

      `isMassProcessingParameter`

    - ### Methods inherited from interface com.microfocus.awm.model.toolexecution.IDynamicObject

      `getAttributes, getAttributeValue, getComplexAttributes`

- - ### Constructor Detail

    - #### ModeledFileOutputParameter

          public ModeledFileOutputParameter(RToolOutParameter pModeledOutParm)

      Basic constructor.
      Parameters:
        `pModeledOutParm` - the modeled output parameter

  - ### Method Detail

    - #### getTargetID

          public FileDescriptor getTargetID()

      Specified by:
        `getTargetID` in interface `IFileParameter`
      Specified by:
        `getTargetID` in interface `IToolParameter`
      Returns:
        the target ID, which can be `null`

Copyright © 2015 Micro Focus GmbH. All rights reserved.